Create Contractor Invoice Schedules

Creates many invoice schedules records.
It's supposed to return two lists: one containing created records, and another one containing the schedules that failed to be inserted.

Authentication

This endpoint accepts any one of the following token types:

  • Company-scoped access token (OAuth2AuthorizationCode) — obtained by a company manager through the Authorization Code flow or the Refresh Token flow. See Authentication for partners.
  • Company-scoped access token (assertion) (OAuth2CompanyManagerAssertion) — obtained through the urn:ietf:params:oauth:grant-type:jwt-bearer grant for a company manager. See OAuth Assertion.
  • Customer API token (CustomerAPIToken) — generated by the customer on their Integration Settings page, with the scopes they choose there. See Authorization for customers.

Scopes

Any one of the scopes in a token type's row is enough. all:write works too.

Token typeCategoryRead only ScopeWrite only Scope (read access implicit)
Company-scoped access tokenManage invoices (invoices)-Manage invoices (invoices:write)
Company-scoped access token (assertion)Manage invoices (invoices)-Manage invoices (invoices:write)
Customer API tokenManage invoices (invoices)-Manage invoices (invoices:write)
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Bulk creation payload

Schema defining a bulk creation payload.

contractor_invoice_schedules
array of objects
required
length between 1 and 200

List of invoice schedules payload.

contractor_invoice_schedules*
Responses

Callback
Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json